package it.unibs.arnaldo.rovineperdute;

public class Coordinata {
    private final int x;
    private final int y;
    private final int altezza;

    public Coordinata(int x, int y, int altezza){
        this.altezza = altezza;
        this.x = x;
        this.y = y;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getAltezza() {
        return altezza;
    }

    @Override
    public String toString() {
        return "Coordinata{" +
                "x=" + x +
                ", y=" + y +
                ", altezza=" + altezza +
                '}';
    }


    public double calcolaDistanza(Coordinata c, TipoVeicolo tipoVeicolo){
        if (tipoVeicolo == TipoVeicolo.METZTLI){
            return Math.abs(altezza - c.getAltezza());
        } else if (tipoVeicolo == TipoVeicolo.TONATIUH){
            return Math.sqrt(Math.pow(x - c.getX(), 2) + Math.pow(y - c.getY(), 2));
        }

        return -1;
    }
}
